
HELIUM RAIN - Bug #1083

Linux: performances issues, crashes

09/27/2017 02:40 PM - L D

Status: Closed Start date: 09/27/2017

Priority: Normal Due date:  

Assignee: Frédéric Bertolus % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Ongoing issues   

Description

Hi!

I have some severe performances troubles sometimes, which usually leads to a game crash. After a moment playing, the game can

start to lag heavily. I've noticed that using the "J" key to pass days is often involved in the crashes.

These issues appears when i launch the game via Steam, but also when i launch it with the command line. I've tried also the beta,

which seemed to be a bit worse about rendering performances.

Besides this, the game is very dark (i know it's intentional, which is great!) and i need to push the gamma at max. No lights from my

ship, since i understood there should be one. And the engine sound is almost always clipping (probably due to the mem being

saturated).

I've joined the crashes directories and the savegame, even if i don't think the later is related to the issues.

Here is the output i have in the command line when it crashes (stable version, but the beta one is almost the same):

Pooling OS allocations (pool size: 1408 MB, maximum allocations: 9502).

Using binned2.

4.16.3-0+++UE4+Release-4.16 513 0

Disabling core dumps.

[S_API FAIL] SteamAPI_Init() failed; SteamAPI_IsSteamRunning() failed.

[S_API FAIL] SteamAPI_Init() failed; unable to locate a running instance of Steam, or a local steamclient.so.

LowLevelFatalError

[File:/home/fred/s2/workspace/4.11/UnrealEngine/Engine/Source/Runtime/Core/Private/GenericPlatform/GenericPlatformMemory.cp

p] [Line: 416]

munmap(addr=0x7f2b4cf69000, len=135168, size as passed 65536) failed with errno = 12 (Cannot allocate memory)

Signal 11 caught.

Malloc Size=131076 LargeMemoryPoolOffset=131092

CommonLinuxCrashHandler: Signal=11

Malloc Size=65535 LargeMemoryPoolOffset=196655

Engine crash handling finished; re-raising signal 11 for the default handler. Good bye.

Segmentation fault (core dumped)

And finally, my specs:

Laptop Linux Ubuntu 16.04 (64bits); proc i3-6100H CPU @ 2.70GHz × 4; RAM 4Go

Intel HD Graphics 530 (Skylake GT2); Version OpenGL : 3.0

I hope all this will help you! Et si vous avez besoin, je suis français, donc on peut affiner les choses dans notre langue maternelle!

Good luck!

History

#1 - 10/05/2017 06:14 PM - L D

Any news, guys?

#2 - 10/05/2017 06:29 PM - Gwennaël Arbona

- Target version set to Ongoing issues

We don't know for sure but it might be due to not enough memory, which is annoying because 4GB is supposedly enough. 

#3 - 10/06/2017 09:40 AM - L D

11/17/2018 1/2



Thanks for the answer! That's what i suspected, considering the symptoms... I'll check if i can confirm that on my side.

#4 - 10/14/2017 04:02 PM - L D

Hi guys,

Any news about that? I've confirmed that the game ate almost all the RAM when runnning, but i guess you already had that clue. So have you found

something?

Thanks! Can't wait to hear from you, because i've stopped playing the game for now, too unstable...

#5 - 10/14/2017 04:59 PM - Gwennaël Arbona

Could you try setting the texture quality to the lowest ? Aside from that, I'm not sure what we can do for now.

#6 - 10/14/2017 09:21 PM - L D

I just tried quickly (launch the game, load a save, fly a bit around) with all the graphic settings off or lowest. No real luck, apparently, it still lag a bit. I'll

have to test it in the long term, though, and i'll keep you in touch with this.

But i must say that previously, my graphic settings were already at the lowest, appart from the texture one which was medium. I had the AA thingy on

too (the second button, not the 2x), and the antialiasing, i think. I had the cracking sound again, by the way; i'm no expert, but i think that linux sound

server can be a bit tricky sometimes, maybe it's a lead.

Anyway, thanks for the answer, i hope the next builds will help with this somehow...

#7 - 10/15/2017 02:54 PM - Gwennaël Arbona

- Assignee set to Frédéric Bertolus

#8 - 11/13/2017 07:26 PM - Gwennaël Arbona

- Status changed from New to Closed

Files

Crashes.zip 27.6 KB 09/27/2017 L D

SaveSlot1.json 4.16 MB 09/27/2017 L D
